WinBase.SYSTEMTIME (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: SYSTEMTIME

Package com.sun.jna.platform.win32

# Class WinBase.SYSTEMTIME

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.SYSTEMTIME

Enclosing interface:
  WinBase

@FieldOrder({"wYear","wMonth","wDayOfWeek","wDay","wHour","wMinute","wSecond","wMilliseconds"}) public static class WinBase.SYSTEMTIME extends Structure
Specifies a date and time, using individual members for the month, day, year, weekday, hour, minute, second, and millisecond. The time is either in coordinated universal time (UTC) or local time, depending on the function that is being called.

See Also:
  - SYSTEMTIME structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `wDay`
  `short`
  `wDayOfWeek`
  `short`
  `wHour`
  `short`
  `wMilliseconds`
  `short`
  `wMinute`
  `short`
  `wMonth`
  `short`
  `wSecond`
  `short`
  `wYear`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SYSTEMTIME()`
  `SYSTEMTIME(long timestamp)`
  `SYSTEMTIME(Calendar cal)`
  `SYSTEMTIME(Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fromCalendar(Calendar cal)`
  `Calendar`
  `toCalendar()`
  `String`
  `toString()`
  If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### wYear

    public short wYear

  - ### wMonth

    public short wMonth

  - ### wDayOfWeek

    public short wDayOfWeek

  - ### wDay

    public short wDay

  - ### wHour

    public short wHour

  - ### wMinute

    public short wMinute

  - ### wSecond

    public short wSecond

  - ### wMilliseconds

    public short wMilliseconds

- ## Constructor Details

  - ### SYSTEMTIME

    public SYSTEMTIME()

  - ### SYSTEMTIME

    public SYSTEMTIME(Date date)

  - ### SYSTEMTIME

    public SYSTEMTIME(long timestamp)

  - ### SYSTEMTIME

    public SYSTEMTIME(Calendar cal)

- ## Method Details

  - ### fromCalendar

    public void fromCalendar(Calendar cal)

  - ### toCalendar

    public Calendar toCalendar()

  - ### toString

    public String toString()
    Description copied from class: `Structure`
    If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.
    Overrides:
      `toString` in class `Structure`
    Returns:
      String representation of this object.